%global neo_major 22
%global neo_minor 02
%global neo_build 22151

Name: intel-compute-runtime
Version: %{neo_major}.%{neo_minor}.%{neo_build}
Release: 1%{?dist}
Summary: Compute API support for Intel(R) graphics

%global optflags %{optflags} -Wno-error=odr -Wno-error=implicit-fallthrough= -Wno-error=mismatched-new-delete

License: MIT
URL: https://github.com/intel/compute-runtime
Source0: %{url}/archive/%{version}/compute-runtime-%{version}.tar.gz
# GCC 12
Patch01: 0001-std-unique_ptr-is-defined-in-header-memory.patch

BuildRequires: cmake
BuildRequires: make
BuildRequires: gcc
BuildRequires: gcc-g++
BuildRequires: intel-gmmlib-devel
BuildRequires: libva-devel
BuildRequires: intel-igc-devel
BuildRequires: ninja-build
# level-zero to be added later on

%description
The Intel(R) Graphics Compute Runtime for oneAPI Level Zero and OpenCL(TM) Driver is an open source project
providing compute API support (Level Zero, OpenCL) for Intel graphics hardware architectures (HD Graphics, Xe).


%package       devel
Summary:       Compute API support for Intel(R) graphics - Devel Files
Requires:      %{name} = %{version}-%{release}

%description   devel
Devel files for Intel(R) Graphics Compute Runtime.

%prep
%autosetup -p1 -n compute-runtime-%{version}

%build
# -DNEO_DISABLE_BUILTINS_COMPILATION=ON for https://github.com/intel/intel-graphics-compiler/issues/204
%cmake \
    -DCMAKE_BUILD_TYPE=Release \
    -DNEO_OCL_VERSION_MAJOR=%{neo_major} \
    -DNEO_OCL_VERSION_MINOR=%{neo_minor} \
    -DNEO_VERSION_BUILD=%{neo_build} \
    -DSUPPORT_DG1=ON \
    -DSKIP_UNIT_TESTS=1 \
    -DNEO_DISABLE_BUILTINS_COMPILATION=ON \
    -G Ninja

%cmake_build

%install
%cmake_install

%files
%{_bindir}/ocloc
%{_libdir}/libocloc.so
%{_libdir}/intel-opencl/libigdrcl.so
#%%{_libdir}/libze_intel_gpu.so*
%{_sysconfdir}/OpenCL/vendors/intel.icd

%files devel
%{_includedir}/ocloc_api.h

%doc

%changelog
* Mon Dec 27 2021 Frantisek Zatloukal <fzatlouk@redhat.com> - 21.50.21939-1
- Initial package
